echo off
rem Read I2CEEProms to plain HEX file 


setlocal

rem ------- Set location of tools, ports etc ------------  (edit UtilsSetup.bat so you only do it in one place)
rem define the locations of the utilities and file names etc.
rem set RTDir=%ProgramFiles%\BEL\Realterm\
rem if you don't have SRECORD, there is a link in the realterm/utils dir to download it
rem set srecord="%RTDIR%utils\srec_cat.exe"
rem set sed="%RTDir%utils\sed.exe"
rem set RT= "%RTDir%realterm.exe"
rem set ComPort=port=\VCP0 flow=2 baud=57600
set TempFileName=EEPromTmp

rem find where this and other batch files are located
set BatchDir=%~dp0
set CMDFileDir=%BatchDir%I2CCmdFiles\
rem setup for Realterm etc is in one place
call %BatchDir%UtilsSetup.bat

rem ------------ Make some checks for missing things --------
if not exist %srecord% goto MissingSREC
if [%1] == [] goto Usage

rem ----------------  Parse eeprom type
call %BatchDir%I2CEEPromTypes.bat %2

echo ReadIMem_S19_24xx%rd64%.i2c
rem Read I2C EEProm

set CmdFileName=%CMDFileDir%ReadIMem_S19_24xx%rd64%.i2c
if not exist %CMDFileName% echo ******* Error: Unable to find commnd file %CmdFileName% ******* & exit /B 1

rem Send read commands 
start "Reading I2C EEProm" /wait %RT% %ComPort% flow=2 capture=%TempFileName%.srec capsecs=-30 sendquit=%CmdFileName%

rem Now we have a file without valid checksums, so use srecord to clean it up...
%srecord% %TempFileName%.srec -ignore-checksums -Address_Length 3 -CRLF -Output_Block_Alignment -Output_Block_Size %rdpagesize% -o %1

endlocal

exit /B
rem ---------------  errors -----------------
:MissingSREC
echo ******** ERROR *************
echo You need to install SRECORD or change this batch file to point at it. %srecord%
pause 
exit /B 2

:Usage
echo ******** ERROR *************
echo Read I2CEEProms to srecord format file
echo Usage: ReadI2CEEProm.bat YourDataFile
echo Usage: ReadI2CEEProm.bat YourDataFile EEProm-Type
echo .
echo type I2CEEPromTypes.bat to see known types

endlocal
exit /B 1


