#SED script to convert Hex file to BL233B programming commands for I2C EEProms
  #Tested with sed from unxutils

#Converts S1, S2, S3, and InHex8 to 5 char address + data - checksum
  #for dos CRLF files. For unix (LF only) files, may need to change ...$ to ..$
  #S format, see: http://srecord.sourceforge.net/man/man5/srec_motorola.html
  s/^S1..\(....\)\(.*\)...$/Q0\1 \2/
  s/^S2...\(.....\)\(.*\)...$/Q\1 \2/
  s/^S3.....\(.....\)\(.*\)...$/Q\1 \2/
  #inhex8 files: Only the 16bit address data record is used. see: http://srecord.sourceforge.net/man/man5/srec_intel.html
  s/^:..\(....\)00\(.*\)...$/Q0\1 \2/

# Change for 1 byte pointer vs 2 byte pointer
  #for 1 byte pointer type eeproms 24xx01 - 24xx16 , trim the first 2 chars 
  #s/^Q..\(.*\)$/R\1/

  #for 2 byte pointer eeproms 24xx32 - 24M02
  s/^Q\(.*\)$/R\1/

#substitute upper nibble of addresses into i2c chip addresses
  s/^R0\(.*\)$/T0 \1/
  s/^R1\(.*\)$/T2 \1/
  s/^R2\(.*\)$/T4 \1/
  s/^R3\(.*\)$/T6 \1/
  s/^R4\(.*\)$/T8 \1/
  s/^R5\(.*\)$/TA \1/
  s/^R6\(.*\)$/TC \1/
  s/^R7\(.*\)$/TE \1/

# Add stop and delay commands to end. Change delay here. All L0005 except 24M02=L000A
  s/^T\(.*\)$/SA\1 P L000A/p

